For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
  • Customer Request API
  • Management API
      • GETList API keys
      • POSTCreate API key
      • GETRetrieve API key
      • DELDelete API key
      • Api_key
      • Scopes
LogoLogo
Management APIAPI Keys

Delete API key

DELETE
/api-keys/:api_key_id
DELETE
/management/v1/api-keys/:api_key_id
$curl -X DELETE https://api.cash.app/management/v1/api-keys/api_key_id \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
200Deleted
1{}
Deletes an API key. After an API key is deleted, it can no longer be used for authentication. All API clients using the secret associated with this API key will immediately be forbidden from talking to the Cash App Pay API. <Note title="Note"> There is no way to un-delete an API key, so treat this endpoint with caution in production environments. </Note> **This endpoint is rate limited to 5 QPS.** Scopes: `API_KEYS_WRITE`
Was this page helpful?
Previous

Api_key

Next
Built with

Deletes an API key. After an API key is deleted, it can no longer be used for authentication. All API clients using the secret associated with this API key will immediately be forbidden from talking to the Cash App Pay API.

Note

There is no way to un-delete an API key, so treat this endpoint with caution in production environments.

This endpoint is rate limited to 5 QPS.

Scopes: API_KEYS_WRITE

Path parameters

api_key_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Response

OK